/**************************************************************************************************

	NSurvey - The web survey and form engine
	Copyright (c) 2004, Thomas Zumbrunn. (http://www.nsurvey.org)

	Dotnetnuke PA module 
	Copyright (c) 2004, Oliver Hine (oliver.hine@gmail.com)

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


************************************************************************************************/

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using DotNetNuke;

namespace Votations.NSurvey.WebAdmin
{
	public class nSurveyAdminOptions: PageBase, DotNetNuke.Entities.Modules.IActionable 
	{
		protected System.Web.UI.WebControls.LinkButton cmdUpdateOptions;
		protected UserControls.SurveyListControl SurveyList;
		protected System.Web.UI.WebControls.LinkButton cmdCancelOptions;

		#region Optional Interfaces
		public DotNetNuke.Entities.Modules.Actions.ModuleActionCollection ModuleActions 
		{ 
			get 
			{ 
				DotNetNuke.Entities.Modules.Actions.ModuleActionCollection Actions = new DotNetNuke.Entities.Modules.Actions.ModuleActionCollection(); 
				Actions.Add(GetNextActionID(), "nSurveyAdmin", DotNetNuke.Entities.Modules.Actions.ModuleActionType.AddContent, "", "", EditUrl("Edit"), false, DotNetNuke.Security.SecurityAccessLevel.Edit, true, false); 
				Actions.Add(GetNextActionID(), "Active Survey Selector", DotNetNuke.Entities.Modules.Actions.ModuleActionType.AddContent, "", "", EditUrl("Settings"), false, DotNetNuke.Security.SecurityAccessLevel.Edit, true, false); 
				Actions.Add(GetNextActionID(), "New Survey", DotNetNuke.Entities.Modules.Actions.ModuleActionType.AddContent, "", "", EditUrl("CreateSurvey"), false, DotNetNuke.Security.SecurityAccessLevel.Edit, true, false); 
				return Actions; 
			} 
		}
		#endregion

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.cmdUpdateOptions.Click += new System.EventHandler(this.cmdUpdateOptions_Click);
			this.cmdCancelOptions.Click += new System.EventHandler(this.cmdCancelOptions_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Page_Load(object sender, System.EventArgs e)
		{
			try
			{
				if (! Page.IsPostBack)
				{
					// load settings
					if (Settings.Contains("SurveyId"))
					{
						SurveyList.SurveyId = int.Parse(Settings["SurveyId"].ToString());
					}
					SurveyList.BindDropDown();
					//SurveyList.InsertActiveSelection();
				}
			}
			catch( Exception exc)
			{
				DotNetNuke.Services.Exceptions.Exceptions.ProcessModuleLoadException(this,exc);
			}
		}

		private void cmdUpdateOptions_Click(object sender, System.EventArgs e)
		{
			try
			{
				DotNetNuke.Entities.Modules.ModuleController objModules = new DotNetNuke.Entities.Modules.ModuleController();
				int selectedSurveyId = SurveyList.SurveyId;
				if (selectedSurveyId == -1) {selectedSurveyId = Helpers.WebHelper.GetInteger("SurveyId");}
                // Update Settings
                objModules.UpdateModuleSetting(ModuleId, "SurveyId", selectedSurveyId.ToString());

				// Redirect back to the portal home page
				Response.Redirect(Helpers.NukeHelper.NavigateURL(""), true);
			}
			catch( Exception exc) 
			{
				DotNetNuke.Services.Exceptions.Exceptions.ProcessModuleLoadException(this,exc);
			}
		}

		private void cmdCancelOptions_Click(object sender, System.EventArgs e)
		{
			try
			{
				// Redirect back to the portal home page
				Response.Redirect(Helpers.NukeHelper.NavigateURL(""), true);
			}
			catch( Exception exc)
			{
				DotNetNuke.Services.Exceptions.Exceptions.ProcessModuleLoadException(this,exc);
			}
		}

	}
}
